> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# marketo-leads

> Marketo Leads

**Server path:** `/marketo-leads` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                | Description                      |
| --------------------------------------------------------------------------------------------------- | -------------------------------- |
| [`marketo-leads_add_leads_to_list`](#marketo-leads_add_leads_to_list)                               | Add to List                      |
| [`marketo-leads_are_leads_member_of_list`](#marketo-leads_are_leads_member_of_list)                 | Member of List                   |
| [`marketo-leads_associate_lead`](#marketo-leads_associate_lead)                                     | Associate Lead                   |
| [`marketo-leads_change_lead_program_status`](#marketo-leads_change_lead_program_status)             | Change Lead Program Status       |
| [`marketo-leads_create_lead_field`](#marketo-leads_create_lead_field)                               | Create Lead Fields               |
| [`marketo-leads_create_program_member_field`](#marketo-leads_create_program_member_field)           | Create Program Member Fields     |
| [`marketo-leads_delete_leads`](#marketo-leads_delete_leads)                                         | Delete Leads                     |
| [`marketo-leads_delete_program_member`](#marketo-leads_delete_program_member)                       | Delete Program Members           |
| [`marketo-leads_describe_lead`](#marketo-leads_describe_lead)                                       | Describe Lead                    |
| [`marketo-leads_describe_lead2`](#marketo-leads_describe_lead2)                                     | Describe Lead2                   |
| [`marketo-leads_describe_program_member`](#marketo-leads_describe_program_member)                   | Describe Program Member          |
| [`marketo-leads_get_by_list_id`](#marketo-leads_get_by_list_id)                                     | Get Leads By List Id             |
| [`marketo-leads_get_by_program_id`](#marketo-leads_get_by_program_id)                               | Get Leads by Program Id          |
| [`marketo-leads_get_lead_by_id`](#marketo-leads_get_lead_by_id)                                     | Get Lead by Id                   |
| [`marketo-leads_get_lead_field_by_name`](#marketo-leads_get_lead_field_by_name)                     | Get Lead Field by Name           |
| [`marketo-leads_get_lead_fields`](#marketo-leads_get_lead_fields)                                   | Get Lead Fields                  |
| [`marketo-leads_get_lead_partitions`](#marketo-leads_get_lead_partitions)                           | Get Lead Partitions              |
| [`marketo-leads_get_list_by_id`](#marketo-leads_get_list_by_id)                                     | Get List by Id                   |
| [`marketo-leads_get_list_membership`](#marketo-leads_get_list_membership)                           | Get Lists by Lead Id             |
| [`marketo-leads_get_lists`](#marketo-leads_get_lists)                                               | Get Lists                        |
| [`marketo-leads_get_program_member_field_by_name`](#marketo-leads_get_program_member_field_by_name) | Get Program Member Field by Name |
| [`marketo-leads_get_program_member_fields`](#marketo-leads_get_program_member_fields)               | Get Program Member Fields        |
| [`marketo-leads_get_program_members`](#marketo-leads_get_program_members)                           | Get Program Members              |
| [`marketo-leads_get_program_membership`](#marketo-leads_get_program_membership)                     | Get Programs by Lead Id          |
| [`marketo-leads_get_smart_campaign_membership`](#marketo-leads_get_smart_campaign_membership)       | Get Smart Campaigns by Lead Id   |
| [`marketo-leads_merge_leads`](#marketo-leads_merge_leads)                                           | Merge Leads                      |
| [`marketo-leads_push_to_marketo`](#marketo-leads_push_to_marketo)                                   | Push Lead to Marketo             |
| [`marketo-leads_remove_leads_from_list`](#marketo-leads_remove_leads_from_list)                     | Remove from List                 |
| [`marketo-leads_search_leads`](#marketo-leads_search_leads)                                         | Get Leads by Filter Type         |
| [`marketo-leads_submit_form`](#marketo-leads_submit_form)                                           | Submit Form                      |
| [`marketo-leads_sync_lead`](#marketo-leads_sync_lead)                                               | Sync Leads                       |
| [`marketo-leads_sync_program_member_data`](#marketo-leads_sync_program_member_data)                 | Sync Program Member Data         |
| [`marketo-leads_sync_program_member_status`](#marketo-leads_sync_program_member_status)             | Sync Program Member Status       |
| [`marketo-leads_update_lead_field`](#marketo-leads_update_lead_field)                               | Update Lead Field                |
| [`marketo-leads_update_partitions`](#marketo-leads_update_partitions)                               | Update Lead Partition            |
| [`marketo-leads_update_program_member_field`](#marketo-leads_update_program_member_field)           | Update Program Member Field      |

***

## marketo-leads\_add\_leads\_to\_list

Add to List

**Parameters:**

| Parameter | Type       | Required | Default | Description                                         |
| --------- | ---------- | -------- | ------- | --------------------------------------------------- |
| `listId`  | integer    | Yes      | —       | Id of target list                                   |
| `id`      | integer\[] | No       | —       | Comma-separated list of lead ids to add to the list |
| `input`   | object\[]  | No       | —       | List of leads for input                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "listId": {
        "type": "integer",
        "description": "Id of target list"
      },
      "id": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Comma-separated list of lead ids to add to the list"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "List of leads for input"
      }
    },
    "required": [
      "PCID",
      "listId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_are\_leads\_member\_of\_list

Member of List

**Parameters:**

| Parameter | Type       | Required | Default | Description                               |
| --------- | ---------- | -------- | ------- | ----------------------------------------- |
| `listId`  | integer    | Yes      | —       | Id of the static list to check against    |
| `id`      | integer\[] | No       | —       | Comma-separated list of lead ids to check |
| `input`   | object\[]  | No       | —       | List of leads for input                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "listId": {
        "type": "integer",
        "description": "Id of the static list to check against"
      },
      "id": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Comma-separated list of lead ids to check"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "List of leads for input"
      }
    },
    "required": [
      "PCID",
      "listId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_associate\_lead

Associate Lead

**Parameters:**

| Parameter | Type    | Required | Default | Description                     |
| --------- | ------- | -------- | ------- | ------------------------------- |
| `leadId`  | integer | Yes      | —       | The id of the lead to associate |
| `cookie`  | string  | Yes      | —       | The cookie value to associate   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "leadId": {
        "type": "integer",
        "description": "The id of the lead to associate"
      },
      "cookie": {
        "type": "string",
        "description": "The cookie value to associate"
      }
    },
    "required": [
      "PCID",
      "leadId",
      "cookie"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_change\_lead\_program\_status

Change Lead Program Status

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                                                                                                            |
| ----------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `programId` | integer   | Yes      | —       | The id of target program                                                                                                               |
| `input`     | object\[] | Yes      | —       | List of leads for input                                                                                                                |
| `status`    | string    | Yes      | —       | Program status of the record. Permissible values can be retrieve from the Get Channel by Name API for the designated program's channel |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "programId": {
        "type": "integer",
        "description": "The id of target program"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "List of leads for input"
      },
      "status": {
        "type": "string",
        "description": "Program status of the record. Permissible values can be retrieve from the Get Channel by Name API for the designated program's channel"
      }
    },
    "required": [
      "PCID",
      "programId",
      "input",
      "status"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_create\_lead\_field

Create Lead Fields

**Parameters:**

| Parameter | Type      | Required | Default | Description                   |
| --------- | --------- | -------- | ------- | ----------------------------- |
| `input`   | object\[] | Yes      | —       | List of lead fields for input |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "displayName": {
              "type": "string",
              "description": "UI display-name of the field. Must be unique, cannot contain special characters"
            },
            "name": {
              "type": "string",
              "description": "API name of the field. Must be unique, start with a letter, and only contain letters, numbers, or underscore"
            },
            "description": {
              "type": "string",
              "description": "Description of the field. Default is no description"
            },
            "dataType": {
              "type": "string",
              "enum": [
                "boolean",
                "currency",
                "date",
                "datetime",
                "email",
                "float",
                "integer",
                "percent",
                "phone",
                "score",
                "string",
                "url"
              ],
              "description": "Datatype of the field"
            },
            "isHidden": {
              "type": "boolean",
              "description": "If set to true, the field is hidden. Default is false"
            },
            "isHtmlEncodingInEmail": {
              "type": "boolean",
              "description": "If set to true, field is encoded as HTML in email. Default is true"
            },
            "isSensitive": {
              "type": "boolean",
              "description": "If set to true, field is marked as sensitive. Default is false"
            }
          },
          "required": [
            "displayName",
            "name",
            "dataType"
          ]
        },
        "description": "List of lead fields for input"
      }
    },
    "required": [
      "PCID",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_create\_program\_member\_field

Create Program Member Fields

**Parameters:**

| Parameter | Type      | Required | Default | Description                   |
| --------- | --------- | -------- | ------- | ----------------------------- |
| `input`   | object\[] | Yes      | —       | List of lead fields for input |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "displayName": {
              "type": "string",
              "description": "UI display-name of the field. Must be unique, cannot contain special characters"
            },
            "name": {
              "type": "string",
              "description": "API name of the field. Must be unique, start with a letter, and only contain letters, numbers, or underscore"
            },
            "description": {
              "type": "string",
              "description": "Description of the field. Default is no description"
            },
            "dataType": {
              "type": "string",
              "enum": [
                "boolean",
                "currency",
                "date",
                "datetime",
                "email",
                "float",
                "integer",
                "percent",
                "phone",
                "score",
                "string",
                "url"
              ],
              "description": "Datatype of the field"
            },
            "isHidden": {
              "type": "boolean",
              "description": "If set to true, the field is hidden. Default is false"
            },
            "isHtmlEncodingInEmail": {
              "type": "boolean",
              "description": "If set to true, field is encoded as HTML in email. Default is true"
            },
            "isSensitive": {
              "type": "boolean",
              "description": "If set to true, field is marked as sensitive. Default is false"
            }
          },
          "required": [
            "displayName",
            "name",
            "dataType"
          ]
        },
        "description": "List of lead fields for input"
      }
    },
    "required": [
      "PCID",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_delete\_leads

Delete Leads

**Parameters:**

| Parameter | Type       | Required | Default | Description                                                                                                     |
| --------- | ---------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------- |
| `id`      | integer\[] | No       | —       | Parameter can be specified if the request body is empty. Multiple lead ids can be specified. e.g. id=1,2,3,2342 |
| `input`   | object\[]  | No       | —       | List of leads for input                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int64"
        },
        "description": "Parameter can be specified if the request body is empty. Multiple lead ids can be specified. e.g. id=1,2,3,2342"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "List of leads for input"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_delete\_program\_member

Delete Program Members

**Parameters:**

| Parameter   | Type      | Required | Default | Description               |
| ----------- | --------- | -------- | ------- | ------------------------- |
| `programId` | integer   | Yes      | —       | The id of target program. |
| `input`     | object\[] | Yes      | —       | List of input records     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "programId": {
        "type": "integer",
        "description": "The id of target program."
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "leadId": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "leadId"
          ]
        },
        "description": "List of input records"
      }
    },
    "required": [
      "PCID",
      "programId",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_describe\_lead

Describe Lead

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_describe\_lead2

Describe Lead2

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_describe\_program\_member

Describe Program Member

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_by\_list\_id

Get Leads By List Id

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                |
| --------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `listId`        | integer   | Yes      | —       | Id of the static list to retrieve records from                                                                                                                                             |
| `fields`        | string\[] | No       | —       | Comma-separated list of lead fields to return for each record. If unset will return email, updatedAt, createdAt, lastName, firstName and id                                                |
| `batchSize`     | integer   | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                |
| `nextPageToken` | string    | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "listId": {
        "type": "integer",
        "description": "Id of the static list to retrieve records from"
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Comma-separated list of lead fields to return for each record. If unset will return email, updatedAt, createdAt, lastName, firstName and id"
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID",
      "listId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_by\_program\_id

Get Leads by Program Id

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                |
| --------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `programId`     | integer   | Yes      | —       | The id of the program to retrieve from                                                                                                                                                     |
| `fields`        | string\[] | No       | —       | A comma-separated list of fields to be returned for each record                                                                                                                            |
| `batchSize`     | integer   | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                |
| `nextPageToken` | string    | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "programId": {
        "type": "integer",
        "description": "The id of the program to retrieve from"
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A comma-separated list of fields to be returned for each record"
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID",
      "programId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_lead\_by\_id

Get Lead by Id

**Parameters:**

| Parameter | Type      | Required | Default | Description                                                                                                                                               |
| --------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `leadId`  | integer   | Yes      | —       | The Marketo lead id                                                                                                                                       |
| `fields`  | string\[] | No       | —       | Comma separated list of field names. If omitted, the following default fields will be returned: email, updatedAt, createdAt, lastName, firstName, and id. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "leadId": {
        "type": "integer",
        "description": "The Marketo lead id"
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Comma separated list of field names. If omitted, the following default fields will be returned: email, updatedAt, createdAt, lastName, firstName, and id."
      }
    },
    "required": [
      "PCID",
      "leadId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_lead\_field\_by\_name

Get Lead Field by Name

**Parameters:**

| Parameter      | Type   | Required | Default | Description                |
| -------------- | ------ | -------- | ------- | -------------------------- |
| `fieldApiName` | string | Yes      | —       | The API name of lead field |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldApiName": {
        "type": "string",
        "description": "The API name of lead field"
      }
    },
    "required": [
      "PCID",
      "fieldApiName"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_lead\_fields

Get Lead Fields

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                |
| --------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `batchSize`     | integer | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                |
| `nextPageToken` | string  | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_lead\_partitions

Get Lead Partitions

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_list\_by\_id

Get List by Id

**Parameters:**

| Parameter | Type    | Required | Default | Description                                    |
| --------- | ------- | -------- | ------- | ---------------------------------------------- |
| `listId`  | integer | Yes      | —       | Id of the static list to retrieve records from |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "listId": {
        "type": "integer",
        "description": "Id of the static list to retrieve records from"
      }
    },
    "required": [
      "PCID",
      "listId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_list\_membership

Get Lists by Lead Id

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                |
| --------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `leadId`        | integer | Yes      | —       | The Marketo lead id                                                                                                                                                                        |
| `nextPageToken` | string  | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |
| `batchSize`     | integer | No       | —       | Maximum number of records to return. Maximum and default is 300.                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "leadId": {
        "type": "integer",
        "description": "The Marketo lead id"
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      },
      "batchSize": {
        "type": "integer",
        "description": "Maximum number of records to return. Maximum and default is 300."
      }
    },
    "required": [
      "PCID",
      "leadId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_lists

Get Lists

**Parameters:**

| Parameter       | Type       | Required | Default | Description                                                                                                                                                                                |
| --------------- | ---------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `id`            | integer\[] | No       | —       | Comma-separated list of static list ids to return                                                                                                                                          |
| `name`          | string\[]  | No       | —       | Comma-separated list of static list names to return                                                                                                                                        |
| `programName`   | string\[]  | No       | —       | Comma-separated list of program names. If set will return all static lists that are children of the given programs                                                                         |
| `workspaceName` | string\[]  | No       | —       | Comma-separated list of workspace names. If set will return all static lists that are children of the given workspaces                                                                     |
| `batchSize`     | integer    | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                |
| `nextPageToken` | string     | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Comma-separated list of static list ids to return"
      },
      "name": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Comma-separated list of static list names to return"
      },
      "programName": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Comma-separated list of program names. If set will return all static lists that are children of the given programs"
      },
      "workspaceName": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Comma-separated list of workspace names. If set will return all static lists that are children of the given workspaces"
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_program\_member\_field\_by\_name

Get Program Member Field by Name

**Parameters:**

| Parameter      | Type   | Required | Default | Description                          |
| -------------- | ------ | -------- | ------- | ------------------------------------ |
| `fieldApiName` | string | Yes      | —       | The API name of program member field |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldApiName": {
        "type": "string",
        "description": "The API name of program member field"
      }
    },
    "required": [
      "PCID",
      "fieldApiName"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_program\_member\_fields

Get Program Member Fields

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                |
| --------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `batchSize`     | integer | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                |
| `nextPageToken` | string  | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_program\_members

Get Program Members

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                    |
| --------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `programId`     | integer   | Yes      | —       | The id of target program.                                                                                                                                                                                                                                                                                                      |
| `filterType`    | string    | Yes      | —       | The program member field to filter on. Any custom field (string or integer types only), "updatedAt", or any searchable field. Searchable fields can be obtained via the \<a href="/rest-api/endpoint-reference/lead-database-endpoint-reference/#/Leads/describeProgramMemberUsingGET2">Describe Program Member\</a> endpoint. |
| `filterValues`  | string\[] | Yes      | —       | A comma-separated list of values to filter on in the specified fields.                                                                                                                                                                                                                                                         |
| `startAt`       | string    | No       | —       | When using filterType=updatedAt, the start of date range filter (ISO 8601-format)                                                                                                                                                                                                                                              |
| `endAt`         | string    | No       | —       | When using filterType=updatedAt, the end of date range filter (ISO 8601-format)                                                                                                                                                                                                                                                |
| `fields`        | string\[] | No       | —       | A comma-separated list of lead fields to return for each record.                                                                                                                                                                                                                                                               |
| `batchSize`     | integer   | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                                                                                                                                                    |
| `nextPageToken` | string    | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info.                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "programId": {
        "type": "integer",
        "description": "The id of target program."
      },
      "filterType": {
        "type": "string",
        "description": "The program member field to filter on. Any custom field (string or integer types only), \"updatedAt\", or any searchable field. Searchable fields can be obtained via the <a href=\"/rest-api/endpoint-reference/lead-database-endpoint-reference/#/Leads/describeProgramMemberUsingGET2\">Describe Program Member</a> endpoint."
      },
      "filterValues": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A comma-separated list of values to filter on in the specified fields."
      },
      "startAt": {
        "type": "string",
        "description": "When using filterType=updatedAt, the start of date range filter (ISO 8601-format)"
      },
      "endAt": {
        "type": "string",
        "description": "When using filterType=updatedAt, the end of date range filter (ISO 8601-format)"
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A comma-separated list of lead fields to return for each record."
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID",
      "programId",
      "filterType",
      "filterValues"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_program\_membership

Get Programs by Lead Id

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                                                                                                                                                                         |
| ------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `leadId`            | integer   | Yes      | —       | The Marketo lead id                                                                                                                                                                                 |
| `nextPageToken`     | string    | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info.          |
| `batchSize`         | integer   | No       | —       | Maximum number of records to return. Maximum and default is 300.                                                                                                                                    |
| `earliestUpdatedAt` | string    | No       | —       | Exclude programs prior to this date. Must be valid ISO-8601 string. See \<a href="`http://developers.marketo.com/rest-api/lead-database/fields/field-types/`">Datetime\</a> field type description. |
| `latestUpdatedAt`   | string    | No       | —       | Exclude programs after this date. Must be valid ISO-8601 string. See \<a href="`http://developers.marketo.com/rest-api/lead-database/fields/field-types/`">Datetime\</a> field type description.    |
| `filterType`        | string    | No       | —       | Set to "programId" to filter a set of programs.                                                                                                                                                     |
| `filterValues`      | string\[] | No       | —       | Comma-separated list of program ids to match against                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "leadId": {
        "type": "integer",
        "description": "The Marketo lead id"
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      },
      "batchSize": {
        "type": "integer",
        "description": "Maximum number of records to return. Maximum and default is 300."
      },
      "earliestUpdatedAt": {
        "type": "string",
        "description": "Exclude programs prior to this date. Must be valid ISO-8601 string. See <a href=\"http://developers.marketo.com/rest-api/lead-database/fields/field-types/\">Datetime</a> field type description."
      },
      "latestUpdatedAt": {
        "type": "string",
        "description": "Exclude programs after this date. Must be valid ISO-8601 string. See <a href=\"http://developers.marketo.com/rest-api/lead-database/fields/field-types/\">Datetime</a> field type description."
      },
      "filterType": {
        "type": "string",
        "description": "Set to \"programId\" to filter a set of programs."
      },
      "filterValues": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Comma-separated list of program ids to match against"
      }
    },
    "required": [
      "PCID",
      "leadId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_get\_smart\_campaign\_membership

Get Smart Campaigns by Lead Id

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                                                                                                                                |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `leadId`            | integer | Yes      | —       | The Marketo lead id                                                                                                                                                                                        |
| `nextPageToken`     | string  | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info.                 |
| `batchSize`         | integer | No       | —       | Maximum number of records to return. Maximum and default is 300.                                                                                                                                           |
| `earliestUpdatedAt` | string  | No       | —       | Exclude smart campaigns prior to this date. Must be valid ISO-8601 string. See \<a href="`http://developers.marketo.com/rest-api/lead-database/fields/field-types/`">Datetime\</a> field type description. |
| `latestUpdatedAt`   | string  | No       | —       | Exclude smart campaigns after this date. Must be valid ISO-8601 string. See \<a href="`http://developers.marketo.com/rest-api/lead-database/fields/field-types/`">Datetime\</a> field type description.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "leadId": {
        "type": "integer",
        "description": "The Marketo lead id"
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      },
      "batchSize": {
        "type": "integer",
        "description": "Maximum number of records to return. Maximum and default is 300."
      },
      "earliestUpdatedAt": {
        "type": "string",
        "description": "Exclude smart campaigns prior to this date. Must be valid ISO-8601 string. See <a href=\"http://developers.marketo.com/rest-api/lead-database/fields/field-types/\">Datetime</a> field type description."
      },
      "latestUpdatedAt": {
        "type": "string",
        "description": "Exclude smart campaigns after this date. Must be valid ISO-8601 string. See <a href=\"http://developers.marketo.com/rest-api/lead-database/fields/field-types/\">Datetime</a> field type description."
      }
    },
    "required": [
      "PCID",
      "leadId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_merge\_leads

Merge Leads

**Parameters:**

| Parameter    | Type       | Required | Default | Description                                                                                                                                 |
| ------------ | ---------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| `leadId`     | integer    | Yes      | —       | The id of the winning lead record                                                                                                           |
| `leadIds`    | integer\[] | No       | —       | A comma-separated list of ids of losing records                                                                                             |
| `mergeInCRM` | boolean    | No       | —       | If set, will attempt to merge the designated records in a natively-synched CRM. Only valid for instances with are natively synched to SFDC. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "leadId": {
        "type": "integer",
        "description": "The id of the winning lead record"
      },
      "leadIds": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int64"
        },
        "description": "A comma-separated list of ids of losing records"
      },
      "mergeInCRM": {
        "type": "boolean",
        "description": "If set, will attempt to merge the designated records in a natively-synched CRM. Only valid for instances with are natively synched to SFDC."
      }
    },
    "required": [
      "PCID",
      "leadId"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_push\_to\_marketo

Push Lead to Marketo

**Parameters:**

| Parameter       | Type      | Required | Default | Description      |
| --------------- | --------- | -------- | ------- | ---------------- |
| `input`         | object\[] | No       | —       | The input value  |
| `lookupField`   | string    | No       | —       | Lookup Field     |
| `partitionName` | string    | No       | —       | Partition Name   |
| `programName`   | string    | No       | —       | Program Name     |
| `programStatus` | string    | No       | —       | Program Status   |
| `reason`        | string    | No       | —       | The reason value |
| `source`        | string    | No       | —       | The source value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int32",
              "description": "Unique integer id of a lead record"
            },
            "reason": {
              "type": "object",
              "description": "The reason value"
            },
            "status": {
              "type": "string",
              "description": "Status of the operation performed on the record"
            }
          }
        },
        "description": "The input value"
      },
      "lookupField": {
        "type": "string",
        "description": "Lookup Field"
      },
      "partitionName": {
        "type": "string",
        "description": "Partition Name"
      },
      "programName": {
        "type": "string",
        "description": "Program Name"
      },
      "programStatus": {
        "type": "string",
        "description": "Program Status"
      },
      "reason": {
        "type": "string",
        "description": "The reason value"
      },
      "source": {
        "type": "string",
        "description": "The source value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_remove\_leads\_from\_list

Remove from List

**Parameters:**

| Parameter | Type       | Required | Default | Description                            |
| --------- | ---------- | -------- | ------- | -------------------------------------- |
| `listId`  | integer    | Yes      | —       | Id of static list to remove leads from |
| `id`      | integer\[] | Yes      | —       | The id value                           |
| `input`   | object\[]  | Yes      | —       | List of leads for input                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "listId": {
        "type": "integer",
        "description": "Id of static list to remove leads from"
      },
      "id": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "The id value"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "List of leads for input"
      }
    },
    "required": [
      "PCID",
      "listId",
      "id",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_search\_leads

Get Leads by Filter Type

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| --------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `filterType`    | string    | Yes      | —       | The lead field to filter on. Any custom field (string, email, or integer types only), and any of the following fields are supported: cookies, email, facebookId, id, leadPartitionId, linkedInId, sfdcAccountId, sfdcContactId, sfdcLeadId, sfdcLeadOwnerId, sfdcOpptyId, twitterId.\<br>\<br>A comprehensive list of fields can be obtained via the \<a href="`http://developers.marketo.com/rest-api/endpoint-reference/lead-database-endpoint-reference/#/Leads/describeUsingGET_6`">Describe Lead2\</a> endpoint. |
| `filterValues`  | string\[] | Yes      | —       | A comma-separated list of values to filter on in the specified fields.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `fields`        | string\[] | No       | —       | A comma-separated list of lead fields to return for each record                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `batchSize`     | integer   | No       | —       | The batch size to return. The max and default value is 300.                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `nextPageToken` | string    | No       | —       | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info.                                                                                                                                                                                                                                                                                                                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "filterType": {
        "type": "string",
        "description": "The lead field to filter on. Any custom field (string, email, or integer types only), and any of the following fields are supported: cookies, email, facebookId, id, leadPartitionId, linkedInId, sfdcAccountId, sfdcContactId, sfdcLeadId, sfdcLeadOwnerId, sfdcOpptyId, twitterId.<br><br>A comprehensive list of fields can be obtained via the <a href=\"http://developers.marketo.com/rest-api/endpoint-reference/lead-database-endpoint-reference/#/Leads/describeUsingGET_6\">Describe Lead2</a> endpoint."
      },
      "filterValues": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A comma-separated list of values to filter on in the specified fields."
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A comma-separated list of lead fields to return for each record"
      },
      "batchSize": {
        "type": "integer",
        "description": "The batch size to return. The max and default value is 300."
      },
      "nextPageToken": {
        "type": "string",
        "description": "A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info."
      }
    },
    "required": [
      "PCID",
      "filterType",
      "filterValues"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_submit\_form

Submit Form

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                                                                 |
| ----------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `formId`    | integer   | Yes      | —       | Id of the form                                                                              |
| `input`     | object\[] | Yes      | —       | Single array item that contains form fields and visitor data to use during a form submittal |
| `programId` | integer   | No       | —       | Id of the program to add lead and/or program member custom fields to                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "formId": {
        "type": "integer",
        "description": "Id of the form"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "leadFormFields": {
              "type": "object",
              "description": "Form fields. Always contains email, but may have any number of other fields depending on the fields available in the form."
            },
            "visitorData": {
              "type": "object",
              "description": "Page visit related data. Used to populate additional activity fields for filtering and triggering."
            },
            "cookie": {
              "type": "string",
              "description": "Munchkin cookie value used to associate new lead with anonymous activities. e.g. id:123-XYZ-456&tooken:_mch-marketo.com-1594662481190-60776"
            }
          },
          "required": [
            "leadFormFields"
          ]
        },
        "description": "Single array item that contains form fields and visitor data to use during a form submittal"
      },
      "programId": {
        "type": "integer",
        "description": "Id of the program to add lead and/or program member custom fields to"
      }
    },
    "required": [
      "PCID",
      "formId",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_sync\_lead

Sync Leads

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                          |
| ----------------- | --------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `action`          | string    | No       | —       | Type of sync operation to perform. Defaults to createOrUpdate if unset                                                                               |
| `asyncProcessing` | boolean   | No       | —       | If set to true, the call will return immediately                                                                                                     |
| `input`           | object\[] | Yes      | —       | List of leads for input                                                                                                                              |
| `lookupField`     | string    | No       | —       | Field to deduplicate on. The field must be present in each lead record of the input. Defaults to email if unset                                      |
| `partitionName`   | string    | No       | —       | Name of the partition to operate on, if applicable. Should be set whenever possible, when interacting with an instance where partitions are enabled. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "action": {
        "type": "string",
        "description": "Type of sync operation to perform. Defaults to createOrUpdate if unset",
        "enum": [
          "createOnly",
          "updateOnly",
          "createOrUpdate",
          "createDuplicate"
        ]
      },
      "asyncProcessing": {
        "type": "boolean",
        "description": "If set to true, the call will return immediately"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int32",
              "description": "Unique integer id of a lead record"
            },
            "membership": {
              "type": "object",
              "description": "The membership value"
            },
            "reason": {
              "type": "object",
              "description": "The reason value"
            },
            "status": {
              "type": "string",
              "description": "Status of the operation performed on the record"
            }
          }
        },
        "description": "List of leads for input"
      },
      "lookupField": {
        "type": "string",
        "description": "Field to deduplicate on. The field must be present in each lead record of the input. Defaults to email if unset"
      },
      "partitionName": {
        "type": "string",
        "description": "Name of the partition to operate on, if applicable. Should be set whenever possible, when interacting with an instance where partitions are enabled."
      }
    },
    "required": [
      "PCID",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_sync\_program\_member\_data

Sync Program Member Data

**Parameters:**

| Parameter   | Type      | Required | Default | Description               |
| ----------- | --------- | -------- | ------- | ------------------------- |
| `programId` | integer   | Yes      | —       | The id of target program. |
| `input`     | object\[] | Yes      | —       | List of input records     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "programId": {
        "type": "integer",
        "description": "The id of target program."
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "leadId": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            },
            "{fieldApiName}": {
              "type": "string",
              "description": "API Name of field to update. Must be updateable as described by <a href=\"/rest-api/endpoint-reference/lead-database-endpoint-reference/#/Leads/describeProgramMemberUsingGET2\">Describe Program Member</a> endpoint."
            },
            "{fieldApiName2}": {
              "type": "string",
              "description": "API Name of another field to update (and so forth). Must be updateable as described by <a href=\"/rest-api/endpoint-reference/lead-database-endpoint-reference/#/Leads/describeProgramMemberUsingGET2\">Describe Program Member</a> endpoint."
            }
          },
          "required": [
            "leadId",
            "{fieldApiName}"
          ]
        },
        "description": "List of input records"
      }
    },
    "required": [
      "PCID",
      "programId",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_sync\_program\_member\_status

Sync Program Member Status

**Parameters:**

| Parameter    | Type      | Required | Default | Description               |
| ------------ | --------- | -------- | ------- | ------------------------- |
| `programId`  | integer   | Yes      | —       | The id of target program. |
| `input`      | object\[] | Yes      | —       | List of input records     |
| `statusName` | string    | Yes      | —       | Program member status     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "programId": {
        "type": "integer",
        "description": "The id of target program."
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "leadId": {
              "type": "integer",
              "format": "int64",
              "description": "Unique integer id of a lead record"
            }
          },
          "required": [
            "leadId"
          ]
        },
        "description": "List of input records"
      },
      "statusName": {
        "type": "string",
        "description": "Program member status"
      }
    },
    "required": [
      "PCID",
      "programId",
      "input",
      "statusName"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_update\_lead\_field

Update Lead Field

**Parameters:**

| Parameter      | Type      | Required | Default | Description                 |
| -------------- | --------- | -------- | ------- | --------------------------- |
| `fieldApiName` | string    | Yes      | —       | The API name of lead field  |
| `input`        | object\[] | Yes      | —       | Single lead field for input |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldApiName": {
        "type": "string",
        "description": "The API name of lead field"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "displayName": {
              "type": "string",
              "description": "UI display-name of the field"
            },
            "description": {
              "type": "string",
              "description": "Description of the field"
            },
            "isHidden": {
              "type": "boolean",
              "description": "If set to true, the field is hidden. Default is false"
            },
            "isHtmlEncodingInEmail": {
              "type": "boolean",
              "description": "If set to true, field is encoded as HTML in email. Default is true"
            },
            "isSensitive": {
              "type": "boolean",
              "description": "If set to true, field is marked as sensitive. Default is false"
            }
          }
        },
        "description": "Single lead field for input"
      }
    },
    "required": [
      "PCID",
      "fieldApiName",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_update\_partitions

Update Lead Partition

**Parameters:**

| Parameter | Type      | Required | Default | Description             |
| --------- | --------- | -------- | ------- | ----------------------- |
| `input`   | object\[] | Yes      | —       | List of leads for input |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int32",
              "description": "Unique integer id of a lead record"
            },
            "partitionName": {
              "type": "string",
              "description": "Name of the partition"
            }
          },
          "required": [
            "id",
            "partitionName"
          ]
        },
        "description": "List of leads for input"
      }
    },
    "required": [
      "PCID",
      "input"
    ]
  }
  ```
</Expandable>

***

## marketo-leads\_update\_program\_member\_field

Update Program Member Field

**Parameters:**

| Parameter      | Type      | Required | Default | Description                          |
| -------------- | --------- | -------- | ------- | ------------------------------------ |
| `fieldApiName` | string    | Yes      | —       | The API name of program member field |
| `input`        | object\[] | Yes      | —       | Single lead field for input          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldApiName": {
        "type": "string",
        "description": "The API name of program member field"
      },
      "input": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "displayName": {
              "type": "string",
              "description": "UI display-name of the field"
            },
            "description": {
              "type": "string",
              "description": "Description of the field"
            },
            "isHidden": {
              "type": "boolean",
              "description": "If set to true, the field is hidden. Default is false"
            },
            "isHtmlEncodingInEmail": {
              "type": "boolean",
              "description": "If set to true, field is encoded as HTML in email. Default is true"
            },
            "isSensitive": {
              "type": "boolean",
              "description": "If set to true, field is marked as sensitive. Default is false"
            }
          }
        },
        "description": "Single lead field for input"
      }
    },
    "required": [
      "PCID",
      "fieldApiName",
      "input"
    ]
  }
  ```
</Expandable>
